complet : carre.o lightness.o
	gcc -ansi -pedantic -o carre.o lightness.o 
carre.o : carre.c 
	gcc -ansi -pedantic -c carre.c 
lightness.o : lightness.c lightness.h 
	gcc -ansi -pedantic -c lightness.c
clean : 
	rm -f carre.o lightness.o
run : complet
	./complet